package views

import (
	"html/template"
	"net/http"
)

var tmpls = make(map[string]*template.Template)

func init() {
	tmpls[""] = template.Must(template.New("").
		ParseFiles(),
	)
}

func render(w http.ResponseWriter, tmpl, partial string, data interface{}) error {
	execTmpl := "base.html"
	if partial != "" {
		execTmpl = partial
	}

	if err := tmpls[tmpl].ExecuteTemplate(w, execTmpl, data); err != nil {
		return err
	}

	return nil
}
